Odoo Help


I can't install Odoo 9.0 on my Debian OS, how do you install it?

on 11/17/16, 2:46 AM 780 views

Many days ago, I install Odoo9.0 on my Debian8.4 OS according to "Odoo_Development_Cookbook"; All is ok.

Now some errors occur, I reinstall Debian and update it to version8.6; after that I install Odoo9.0 accroding to "Odoo_Development_Cookbook", then there are some errors about dependencies because of some packages' update;

How shall I resolve this problem?

Or is there some good methods to install Odoo?

Xavier Brochard
On 11/17/16, 4:51 AM

Odoo provides packaged installers for Debian. You'd better start with them.

See install documentation at http://www.odoo.com/documentation/9.0/setup/install.html#deb and complementary information at http://nightly.odoo.com/

BTW, dependencies for source install are listed also :



I have a try according to install documentation, but I get some error as below, when I install "requirements.txt":

Command python setup.py egg_info failed with error code 1 in /tmp/pip-build-zS6Kw3/psycopg2

Storing debug log for failure in /root/.pip/pip.log

on 11/17/16, 7:03 AM

Did you follow exactly all steps ? make sure to use Python 2.7.9 and to install debian Python, Postgres, libxml2, libxslt, libevent, libsasl2 and libldap2 development packages.

Xavier Brochard
on 11/17/16, 9:41 AM

About This Community

This platform is for beginners and experts willing to share their Odoo knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers.


Odoo Training Center

Access to our E-learning platform and experience all Odoo Apps through learning videos, exercises and Quizz.

Test it now

Question tools

1 follower(s)


Asked: 11/17/16, 2:46 AM
Seen: 780 times
Last updated: 11/17/16, 4:51 AM